package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author xkrs
 */
@Entity
@Table(name = "countycode_weixin")
public class CountyCodeWeiXinEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "countycode_weixin_seq_gen")
    @SequenceGenerator(name = "countycode_weixin_seq_gen", sequenceName = "countycode_weixin_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 区划编码
     */
    @Column(length = 64, columnDefinition = "varchar(64)")
    private String countyCode;

    /**
     * 微信ID
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String weixinId;

    public CountyCodeWeiXinEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(String countyCode) {
        this.countyCode = countyCode;
    }

    public String getWeixinId() {
        return weixinId;
    }

    public void setWeixinId(String weixinId) {
        this.weixinId = weixinId;
    }

    @Override
    public String toString() {
        return "CountyCodeWeiXinEntity{" + "id=" + id + ", countyCode='" + countyCode + '\'' + ", weixinId='" + weixinId + '\'' + '}';
    }
}
