package com.xkrs.service.impl;

import com.xkrs.dao.StreetDao;
import com.xkrs.model.entity.StreetEntity;
import com.xkrs.service.StreetService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class StreetServiceImpl implements StreetService {

    @Resource
    private StreetDao streetDao;

    @Override
    public List<StreetEntity> findByProName(String proName) {
        return streetDao.findByProName(proName);
    }

    @Override
    public List<StreetEntity> findByProCode(String proCode) {
        return streetDao.findByProCode(proCode);
    }

    @Override
    public List<StreetEntity> findByCityName(String cityName) {
        return streetDao.findByCityName(cityName);
    }

    @Override
    public List<StreetEntity> findByCityCode(String cityCode) {
        return streetDao.findByCityCode(cityCode);
    }

    @Override
    public List<StreetEntity> findByCountyName(String countyName) {
        return streetDao.findByCountyName(countyName);
    }

    @Override
    public List<StreetEntity> findByCountyCode(String countyCode) {
        return streetDao.findByCountyCode(countyCode);
    }

    @Override
    public List<StreetEntity> findByStreetName(String streetName) {
        return streetDao.findByStreetName(streetName);
    }

    @Override
    public List<StreetEntity> findByStreetCode(String streetCode) {
        return streetDao.findByStreetCode(streetCode);
    }

    @Override
    public List<Map<String, String>> selectProvinceList() {
        return streetDao.selectProvinceList();
    }

    @Override
    public List<Map<String, String>> selectCityList(String provinceCode) {
        return streetDao.selectCityList(provinceCode);
    }

    @Override
    public List<Map<String, String>> selectCountyList(String cityCode) {
        return streetDao.selectCountyList(cityCode);
    }

    @Override
    public List<Map<String, String>> selectStreetList(String countyCode) {
        return streetDao.selectStreetList(countyCode);
    }
}
